function getcolumns(setdrawer) {
    return [
        {
            title: "仓库名称",
            dataIndex: "storeName",
            key: "storeId",
            valueType: 'select',
            options: {
                path: '/ta_wms_auth/sysStore/selectionBoxAll',
                params: {}
            },
            fieldProps:{
                showSearch:true
            }
        },
        {
            title: "库位名称",
            dataIndex: "storePositionName",
            key: "storePositionName",
            hideInSearch: true
        },
        {
            title: "物料编号",
            dataIndex: "materialCode",
            key: "materialCode"
        },
        {
            title: "物料名称",
            dataIndex: "materialName",
            key: "materialName"
        },
        {
            title: "产品型号",
            dataIndex: "productModel",
            key: "productModel",
            hideInSearch: true
        },
        {
            title: "出厂编号",
            dataIndex: "factoryNo",
            key: "factoryNo"
        },
        {
            title: "工单号",
            dataIndex: "jobNo",
            key: "jobNo"
        },
        {
            title: "合同编号",
            dataIndex: "contractNo",
            key: "contractNo",
            hideInSearch: true
        },
        {
            title: "合同名",
            dataIndex: "contractName",
            key: "contractName",
            hideInSearch: true
        },
        {
            title: "库存数量",
            dataIndex: "inventoryQuantity",
            key: "inventoryQuantity",
            hideInSearch: true,
            width:80
        },
        {
            title: "可用数量",
            dataIndex: "useQuantity",
            key: "useQuantity",
            hideInSearch: true,
            width:80
        },
        {
            title: "库存单位",
            dataIndex: "productionUnitName",
            key: "productionUnitName",
            hideInSearch: true,
            width:80
        },
        {
            title: "上线类型",
            dataIndex: "lineTypeName",
            key: "lineTypeName",
            hideInSearch: true
        },
    ];
}

export default getcolumns;