import React, { useState, useEffect, useMemo, useRef } from 'react';
import AutoTable from '@/components/AutoTable';
import useKeepAlive from "@/components/useKeepAlive";
import getcolumns from "./columns";
function Inventoryquery() {
    let actionRef = useRef();
    const columns = useMemo(() => {
        let defcolumn = getcolumns();
        return defcolumn;
    }, []);
    function reload() {
        actionRef?.current?.reload();
    }
    return <div>
        <AutoTable
            pagetitle='库存查询'
            columns={columns}
            path='/ta_wms_workmanship/pmInventory/queryPage'
            actionRef={actionRef}
        />
    </div>;
}

export default useKeepAlive(Inventoryquery);